"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const driver_1 = __importDefault(require("./driver"));
/**
 * Driver for Novation Launchpad X
 */
class LaunchpadX extends driver_1.default {
    constructor() {
        super();
        this.DeviceName = 'Launchpad X';
        this.MidiIn = 'LPX MIDI';
        this.MidiOut = 'LPX MIDI';
        this.Dictionary = {
            command: {
                sysexHeader: [240, 0, 32, 41, 2, 12],
                sysexFooter: 247,
                selectLayout: 0,
                ledLightning: 3,
                textScrolling: 7,
                ledBrightness: 8,
                programmer: 14,
                LightningCustomMode: {
                    static: 1,
                    flashing: 2,
                    pulsing: 3,
                },
                daw: 16,
                dawClear: 18,
                sessionColor: 20,
                ledSleep: 9
            },
            input: {
                onNote: 144,
            },
        };
    }
}
exports.default = LaunchpadX;
